Bug 1174922 - [GSS] (6.4.0) JBWS-3858 - Misconfigured TCCL during endpoint method invocations when Spring integration is enabled
Summary: [GSS] (6.4.0) JBWS-3858 - Misconfigured TCCL during endpoint method invocatio...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER1
: EAP 6.4.0
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Depends On:
Blocks: 1174923 1174926
TreeView+ depends on / blocked
 
Reported: 2014-12-16 18:28 UTC by Kyle Lape
Modified: 2019-08-02 07:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1174923 (view as bug list)
Environment:
Last Closed: 2019-08-02 07:30:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBWS-3858 0 Major Closed Misconfigured TCCL during endpoint method invocations when Spring integration is enabled 2016-01-28 03:09:25 UTC

Description Kyle Lape 2014-12-16 18:28:37 UTC
When the Spring integration is enabled, the TCCL that's set at the time the user endpoint methods are executed is an instance of DelegateClassLoader whose parent actually grants user visibility over classes he should only be given access if he declared a proper module dependency.

In addition, the DelegateClassLoader is not recognized by the remote EJB client subsystem.  This causes remote EJB invocations from webservice implementations to fail with "EJBCLIENT000025: No EJB receivers available...".

Comment 1 Romain Pelisse 2014-12-19 10:24:44 UTC
  Hi Alessio,
  
I'm so sorry, but I just realized that the fix for JBWS-3858 (BZ1174922[1]), which was expected to be in 4.3.4.Final is not there (at least if Astigmatismic eyes are not getting confused by the commits lines[2]).

This means we need a new release, 4.3.5 (I assume) to ensure the fix goes to 6.3 and 6.4.x as scheduled. 
  
 
I'll update the associate upgrade BZs to reflect that right away.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1174922
[2] https://source.jboss.org/graph/JBossWS

Comment 2 Alessio Soldano 2014-12-19 10:48:26 UTC
Romaine,
the fix for JBWS-3858 is there in 4.3.4.Final, see https://source.jboss.org/changelog/JBossWS?cs=19153 . So no need for a 4.3.5 for this issue.

Comment 3 Rostislav Svoboda 2014-12-19 12:19:18 UTC
Only presence of code changes related to this issue will be checked. Spring integration for JBossWS CXF is not supported on EAP 6.

Comment 4 Jan Blizňák 2015-01-14 10:33:48 UTC
Code changes included in 6.4.0.ER1

Comment 5 JBoss JIRA Server 2015-04-25 20:26:53 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3858 to Closed


Note You need to log in before you can comment on or make changes to this bug.